<!DOCTYPE html> 
<html>
  <head>
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta http-equiv="content-type" content="text/html;charset=utf-8">
    <title>Editor ikonek</title>
    <style>
      body { font-family: sans-serif; font-size: 12px; width: 700px; margin: auto; }
      h1 { font-size: 16px; margin: 15px 0; }
      #ico-board-container { float: left; position: relative; margin: 0 10px 10px 0; }
      #ico-board { border-collapse: collapse; border-spacing: 0; table-layout: fixed; line-height: 0; font-size: 0; 	}
      #ico-board td.x0, #ico-board td.y0 { text-align: center; font-weight: bold; vertical-align: middle; border: none; line-height: 12px; font-size: 12px; }
      #ico-board td { width: 19px; height: 20px; padding: 0; border: 1px dotted blue; cursor: default; }
      #ico-board td.x0, #ico-board td.x18 { border-right: 1px black solid; }
      #ico-board td.y0, #ico-board td.y18 { border-bottom: 1px black solid; }
      #ico-board td.filled { background: black; }
      #ico-board td:hover.filled { background: gray; }
      #ico-board td:hover { background: lightgray; }
      #ico-board td.hover { background: lightgray; }
      #ico-board td.filled.hover { background: gray; }
      #ico-board td.last-cell { outline: 1px gray dashed; }
      #ico-samples { border-spacing: 5px; }
      #ico-samples td.sample { border: 1px blue dotted; line-height: 0; font-size: 0; padding: 0; }
      #ico-samples td.floor { background: lightgrey; }
      #ico-samples td.edges { border: 1px black solid; }
      #ico-samples .no { font-size: 7px; line-height: 7px; position: absolute; z-index: 100; background: lightgrey; }
      #ico-tools { border-spacing: 5px; }
      td.tool { border: 1px gray solid; background: lightgray; cursor: default; width: 15px; height: 15px; text-align: center; color: black; }
      td.tool.selected { background: gray; }
      td.label { padding-right: 10px; }
      #ico-mode #ico-mode-erase,
      #ico-mode #ico-mode-invert { background: gray; }
      #ico-mode.mode-draw #ico-mode-erase { background: lightgray; }
      #ico-mode.mode-draw #ico-mode-draw { background: gray; }
      #ico-mode.pixel .primitiv { display: none; }
      #ico-mode.primitiv .pixel { display: none; }
      input#ico-name { width: 270px; }
      #ico-action input { width: 135px; }
      #ico-action, #ico-name-fieldset { text-align: center; }
    </style>
    <script src="js/jquery-1.6.1.min.js"></script>
    <script src="js/icoedit.js"></script>
  </head>
  <body oncontextmenu="return false;">
    <!--[if lte IE 8]>
      <p>
        Pro správnou funkci editoru je nutný Firefox, Chrome, nebo aspoň Internet Explorer verze 9 nebo novější.
      </p>
    <![endif]-->
    <noscript>
      <p>
        Pro správnou funkci editoru je nutný JavaScript. Bez JavaScriptu aplikace nedokáže ani načíst mapu.
      </p>
    </noscript>
    <h1>Editor ikonek pro editor map</h1>
    <div id="ico-board-container">
      </canvas>
      <table id="ico-board">
      </table>
    </div>
    <fieldset>
      <legend>Náhledy ikonky v praxi</legend>
      <table id="ico-samples">
        <tr><td class="sample"><canvas width="18" height="18"></canvas></td><td class="label">v prázdném poli</td></tr>
        <tr><td class="sample floor"><canvas width="18" height="18"></canvas></td><td class="label">v poli s podlahou</td></tr>
        <tr><td class="sample floor edges"><canvas width="18" height="18"></canvas></td><td class="label">v poli obklopeném zdmi</td></tr>
        <tr><td class="sample floor"><span class="no">49:49</span><canvas width="18" height="18"></canvas></td><td class="label">v poli s poznámkou</td></tr>
      </table>
    </fieldset>
    <fieldset>
      <legend>Pracovní nástroje</legend>
      <table id="ico-tools">
        <tr><td class="tool" id="ico-move-left">⇠</td><td class="tool" id="ico-move-up">⇡</td><td class="tool" id="ico-move-down">⇣</td><td class="tool" id="ico-move-right">⇢</td><td class="label">Posun celé ikony</td></tr>
        <tr><td class="tool selected" id="ico-draw-pixel">.</td><td class="tool" id="ico-draw-line">\</td><td class="tool" id="ico-draw-box">█</td><td class="tool" id="ico-draw-circle">o</td><td class="label">Kreslení (použijte Shift/Ctrl)</td></tr>
      </table>
    </fieldset>
    <fieldset>
      <legend>Režim štětce</legend>
      <table id="ico-mode" class="pixel">
        <tr class="pixel"><td class="tool" id="ico-mode-invert">&nbsp;</td><td class="label">Inverze</td></tr>
        <tr class="primitiv"><td class="tool" id="ico-mode-draw">&nbsp;</td><td class="label">Kreslení</td>
        <td class="tool" id="ico-mode-erase">&nbsp;</td><td class="label">Mazání</td></tr>
      </table>
    </fieldset>
    <fieldset id="ico-name-fieldset">
      <legend>Jméno ikony</legend>
      <input id="ico-name" type="text" name="name">
    </fieldset>
    <fieldset id="ico-action">
      <legend>Akce</legend>
      <input type="submit" name="back" value="Zpět bez uložení">
      <input type="submit" name="saveicon" value="Uložit">
    </fieldset>
  </body>
</html>
